File ManagerZone filemanager List

Zone filemanager List

Zone filemanager List

curl -X GET "https://api.5centscdn.com/v2/zones/vod/push/42/filemanager/list?dir=example_string&query=example_string&marker=example_string&end_marker=example_string" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_API_KEY"
{
  "zoneFileManagerList": [
    {
      "type": "dir",
      "name": "http"
    }
  ]
}
GET
/zones/vod/push/{zoneid}/filemanager/list
GET
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-API-Key)
X-API-Keystring
Required

API key (sent in header)

query
dirstring

Enter directory name

query
querystring

search by filename

query
markerstring

Set the marker parameter to the name of the last item returned in the previous list.

query
end_markerstring

Limits the result set to names that are less than the end_marker parameter value.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-API-Keystring
Required

API Key for authentication. Provide your API key in the header.

Path Parameters

zoneidinteger
Required

Zone ID

Example:
42

Query Parameters

dirstring

Enter directory name

querystring

search by filename

markerstring

Set the marker parameter to the name of the last item returned in the previous list.

end_markerstring

Limits the result set to names that are less than the end_marker parameter value.

Responses

zoneFileManagerListarray